> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-ad-account-provisioning-setup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute Automation

> Invokes the c1.api.automations.v1.AutomationService.ExecuteAutomation method.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/automations/{id}/execute
openapi: 3.1.0
info:
  description: The ConductorOne API is a HTTP API for managing ConductorOne resources.
  title: ConductorOne API
  version: 0.1.0-alpha
servers:
  - description: The ConductorOne API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/automations/{id}/execute:
    post:
      tags:
        - Automations
      summary: Execute Automation
      description: >-
        Invokes the c1.api.automations.v1.AutomationService.ExecuteAutomation
        method.
      operationId: c1.api.automations.v1.AutomationService.ExecuteAutomation
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: The id field.
            readOnly: false
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.automations.v1.ExecuteAutomationRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.automations.v1.ExecuteAutomationResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: ExecuteAutomation
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.Automation.ExecuteAutomation(ctx, operations.C1APIAutomationsV1AutomationServiceExecuteAutomationRequest{\n        ID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ExecuteAutomationResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.automation.executeAutomation({
                id: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.automations.v1.ExecuteAutomationRequestInput:
      description: The ExecuteAutomationRequest message.
      properties:
        context:
          $ref: '#/components/schemas/c1.api.automations.v1.AutomationContext'
      title: Execute Automation Request
      type: object
      x-speakeasy-name-override: ExecuteAutomationRequest
    c1.api.automations.v1.ExecuteAutomationResponse:
      description: The ExecuteAutomationResponse message.
      properties:
        executionId:
          description: The executionId field.
          format: int64
          readOnly: false
          type: string
      title: Execute Automation Response
      type: object
      x-speakeasy-name-override: ExecuteAutomationResponse
    c1.api.automations.v1.AutomationContext:
      description: The AutomationContext message.
      properties:
        context:
          additionalProperties: true
          readOnly: false
          type: object
      title: Automation Context
      type: object
      x-speakeasy-name-override: AutomationContext
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````